%global srcname enthought-sphinx-theme
%global modname enthought_sphinx_theme

Name:           python-%{srcname}
Version:        0.6.1
Release:        1%{?dist}
Summary:        Sphinx theme for Enthought projects

License:        BSD
URL:            https://github.com/enthought/enthought-sphinx-theme
Source0:        https://github.com/enthought/enthought-sphinx-theme/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%global _description %{expand:
Sphinx theme for Enthought projects, derived from the Scipy theme.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%license LICENSE
%doc CHANGES.rst README.rst
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Tue Oct 1 2019 Orion Poplawski <orion@nwra.com> - 0.6.1-1
- Initial package
